Skip to main content
POST
/
email
/
send
Send email
curl --request POST \
  --url https://www.dench.com/api/v1/email/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fromEmail": "founder@example.com",
  "to": [
    {
      "email": "ada@lovelace.dev",
      "name": "Ada"
    }
  ],
  "subject": "Quick intro",
  "htmlBody": "<p>Hi Ada — great meeting you!</p>"
}
'
{
  "ok": true,
  "messageId": "emsg_abc123",
  "providerMessageId": "0100018abc-provider-id",
  "rfcMessageId": "<0100018abc@email.amazonses.com>",
  "recipients": 1,
  "status": "sent",
  "message": "Email sent. Track opens/clicks with `dench email message status`."
}

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Body

application/json
fromEmail
string
required

Verified sender mailbox.

to
object[]
required

Primary recipients. to+cc+bcc is capped at 50.

Minimum array length: 1
subject
string
required
fromName
string

Display name override.

cc
object[]
bcc
object[]
replyToEmail
string
htmlBody
string

HTML body. Provide htmlBody and/or textBody.

textBody
string
replyToMessageId
string

Dench messageId or RFC 5322 Message-ID to thread this send as a reply.

configurationSetName
string

Response

Successful response

ok
boolean
required
messageId
string
required

Dench message id for dench email message status.

providerMessageId
string
required
recipients
number
required
status
string
required
Allowed value: "sent"
message
string
required
rfcMessageId
string

RFC 5322 Message-ID usable for reply threading.

inReplyTo
string